Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class NsNameImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.NsNameImpl

All Implemented Interfaces:
  NameClass, NsName

    public class NsNameImpl

extends java.lang.Object
implements NsName

Field Summary

Fields inherited from interface xmltorng.framework.document.relaxng.NameClass
`NAMECLASS_ANYNAME, NAMECLASS_CHOICE, NAMECLASS_NAME, NAMECLASS_NSNAME`

Constructor Summary
`NsNameImpl(java.lang.String nsURI)`

Method Summary
`NameClass` | `getExcept()` Return the except nameClass if any else null.
`int` | `getNameClassType()` Return the nameClass type.
`java.lang.String` | `getNsURI()` Return the namespace URI or an empty string.
`void` | `setExcept(NameClass except)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NsNameImpl

    public NsNameImpl(java.lang.String nsURI)

Method Detail

### setExcept

    public void setExcept(NameClass except)

### getNameClassType

    public int getNameClassType()

  Description copied from interface: `NameClass`
  Return the nameClass type. Is one of the NAMECLASS_* constants.

  Specified by:
    `getNameClassType` in interface `NameClass`

### getNsURI

    public java.lang.String getNsURI()

  Description copied from interface: `NsName`
  Return the namespace URI or an empty string. Is not null.

  Specified by:
    `getNsURI` in interface `NsName`

### getExcept

    public NameClass getExcept()

  Description copied from interface: `NsName`
  Return the except nameClass if any else null.

  Specified by:
    `getExcept` in interface `NsName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD